JMSConnector.AsyncConnection (Axis API)
Keywords: org.apache.axis.transport.jms.JMSConnector.AsyncConnection,JMSConnector.AsyncConnection class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.jms
Class JMSConnector.AsyncConnection

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--org.apache.axis.transport.jms.JMSConnector.Connection
                  |
                  +--org.apache.axis.transport.jms.JMSConnector.AsyncConnection

All Implemented Interfaces:
  javax.jms.ExceptionListener, java.lang.Runnable

Enclosing class:
  JMSConnector

protected abstract class JMSConnector.AsyncConnection
extends org.apache.axis.transport.jms.JMSConnector.Connection

Nested Class Summary
`protected class` | `JMSConnector.AsyncConnection.ListenerSession`

Field Summary
`protected javax.jms.Connection` | `m_connection`
`protected boolean` | `m_isActive`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`protected` | `JMSConnector.AsyncConnection(javax.jms.ConnectionFactory connectionFactory, javax.jms.Connection connection, java.lang.String threadName, java.lang.String clientID, java.lang.String username, java.lang.String password)`

Method Summary
`protected abstract JMSConnector.AsyncConnection.ListenerSession` | `createListenerSession(javax.jms.Connection connection, Subscription subscription)`
`protected void` | `onConnect()`
`protected void` | `onException()`
`void` | `onException(javax.jms.JMSException exception)`
`protected void` | `onShutdown()`
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_connection

    protected javax.jms.Connection m_connection

### m_isActive

    protected boolean m_isActive

Constructor Detail

### JMSConnector.AsyncConnection

    protected JMSConnector.AsyncConnection(javax.jms.ConnectionFactory connectionFactory,
                                           javax.jms.Connection connection,
                                           java.lang.String threadName,
                                           java.lang.String clientID,
                                           java.lang.String username,
                                           java.lang.String password)
                                    throws javax.jms.JMSException

Method Detail

### createListenerSession

    protected abstract JMSConnector.AsyncConnection.ListenerSession createListenerSession(javax.jms.Connection connection,
                                                                                          Subscription subscription)
                                                                                   throws java.lang.Exception

    `java.lang.Exception`

### onShutdown

    protected void onShutdown()

  Specified by:
    `onShutdown` in class `org.apache.axis.transport.jms.JMSConnector.Connection`

### onConnect

    protected void onConnect()
                      throws java.lang.Exception

  Specified by:
    `onConnect` in class `org.apache.axis.transport.jms.JMSConnector.Connection`
    `java.lang.Exception`

### onException

    protected void onException()

  Specified by:
    `onException` in class `org.apache.axis.transport.jms.JMSConnector.Connection`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### onException

    public void onException(javax.jms.JMSException exception)

  Specified by:
    `onException` in interface `javax.jms.ExceptionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.